ttcn3_logformat(1)

NAME
ttcn3_logformat - TTCN-3 log file formatter utility

SYNOPSIS
ttcn3_logformat [ -i n ] [ -o outfile ] [ -s ] [ file.log ] [ -n ]
or
ttcn3_logformat -v

DESCRIPTION
This manual page is a quick reference for the TTCN-3 logformat utility of the TTCN-3 Test Executor. The ttcn3_logformat utility, which can be found in $TTCN3_DIR/bin, reads the unformatted log file generated by test executor from its standard input. It can split up the log into several files based on the lines that are automatically logged at the beginning or end of each test case. Furthermore, ttcn3_logformat formats the sent and received messages in the log file. The structured values are indented and each field is put into a new line according to the braces and commas.

OPTIONS
Available command line switches are:

-i n
    Sets the depth of each indentation level to n characters. The default value is 4. If the sent or received PDU is too complex and has too deeply nested fields, this number can be decreased to get more readable output.

-o outfile
    Places the output into file outfile. If the -s flag is also set, only those parts of the log files will be written into this file that were logged outside the test cases (i.e. in control part or on PTCs). If this option is omitted, the formatted log will be printed to standard output.

-s  If this option is set, the entries that were recorded during the execution of a particular test case will be saved in a separate file in ttcn3_logformat working directory. The name of this file will be identical to the name of the test case. If the same test case is executed several times after each other, the results of repeated test runs will be collected after each other. If the output file contained some data before ttcn3_logformat was started (e.g. the results of previous test run), the output file will be emptied and the old logs will be destroyed.
    ttcn3_logformat recognizes any types of timestamps that can be set in the [LOGGING] section of the configuration file.

    WARNING! This option is useless when formatting the log files of PTCs, because these logs do not contain the name of the testcase that the PTC belongs to.

-n  If this option is set, newline and tab characters are not modified, they are printed as \n and \t

-v  Prints version and license key information and exits.

ENVIRONMENT VARIABLES

TTCN3_DIR
    The installation directory where the uncompressed binary package of TTCN-3 Test Executor can be found.

TTCN3_LICENSE_FILE
    It shall point to the file (NB: not to its directory) that contains the personalized license key for the current user or host.

BUGS
None known at this time

For trouble reporting use the tool MTTSMS.
For TR writers guide please visit the web page:
http://ttcn.ericsson.se.

SEE ALSO
ttcn3_logfilter(1), ttcn3_logmerge(1)

The User Documentation for the TTCN-3 Test Executor.

AUTHOR
This manpage is written by Csaba Koppany, Ericsson Telecom AB
Copyright (c) 2000-2021 Ericsson Telecom AB
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at
https://www.eclipse.org/org/documents/epl-2.0/EPL-2.0.html